Bug 268909 - Tons of vcs-* and exec* files in /var/tmp
Tons of vcs-* and exec* files in /var/tmp
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote VCS
8.1
All All
: P3 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
:
Depends on: 268926
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-09 12:23 UTC by Vladimir Kvashin
Modified: 2016-12-13 10:30 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-11-09 12:23:34 UTC
While investigation tests failure on /hudson/view/IDE-tests/job/ss-test-intel-S2-full_remote/1529/testReport/ide.vcs.hg/UpdateTest/testUpdateWithConflict/

we found that on remote host directory /var/tmp/dlight_hudson/2519f293
contains 74K files.

Most of them have "vcs-" and "exec" prefix.

We should clean these files up.
Comment 1 Alexander Simon 2016-11-10 13:31:27 UTC
VCSFileProxySupport.createTempFile() and getTempFolder() should support deleteOnExit flag.
Comment 2 Alexander Simon 2016-11-10 13:46:25 UTC
Vladimir, please implement VCSFileProxySupport.deleteOnExit()
Comment 3 Quality Engineering 2016-11-16 02:51:00 UTC
Integrated into 'main-silver', will be available in build *201611160001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/4fb7a0fade08
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #268909 Tons of vcs-* and exec* files in /var/tmp
- delete "qwe" files.
(transplanted from 054f2197df459b14f3a8a54281799f142fd20cab)
Comment 4 Vladimir Kvashin 2016-12-02 17:52:11 UTC
(In reply to Alexander Simon from comment #2)
> Vladimir, please implement VCSFileProxySupport.deleteOnExit()

Alexander, VCSFileProxySupport.deleteOnExit() is implemented.
Does this mean that this bug can be considered as fixed now?
Comment 5 Vladimir Kvashin 2016-12-07 11:03:29 UTC
Fixed by Alexander in 
80d741fd7f4c
054f2197df45
in enum/release82
Issue 268926 this one depends on is fixed as well.
Comment 6 soldatov 2016-12-13 10:30:30 UTC
Verified in NetBeans IDE 8.2 (Build 201612122312)

I will recheck this bug later.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo